Installer - Bug #14023

puppet-foreman does not allow for configuration of PassengerMaxPoolSize
03/02/2016 11:58 AM - Chris Duryee

Status: Closed
Priority: Normal
Assignee: Chris Duryee
Category: Foreman modules
Target version: 1.14.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1163452 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/209

Description

The katello installer puppet code (not the puppet module itself but the foreman module) does not allow for configuring
PassengerMaxPoolSize. It defaults to six, which is not difficult to max out, especially on heavily-used systems.

To replicate this behavior without a true load test, alter the 'index' method in
/usr/share/foreman/app/controllers/api/v2/users_controller.rb to be:

def index

sleep (20)

@users = resource_scope_for_index
end

After this, you should be able to use hammer to get the user list and max out the passenger worker pool (note that this is different
than the httpd worker pool).

The default value of six is OK, but it should be spelled out in the conf file that it's six instead of relying on passenger internal defaults,
and it should be configurable via installer options.

Associated revisions

Revision 9df10e1b - 11/23/2016 07:53 AM - Stephen Benjamin
fixes #14023 - set passenger tuning options (#209)
max instances to 12 and max instances per app to 6 - this ensures

passenger has enough resources to respond to foreman and puppet
requests when one is under heavy load.

History

#1 - 03/09/2016 05:37 PM - Eric Helms
- Project changed from Katello to Foreman

- Subject changed from katello installer does not allow for configuration of PassengerMaxPoolSize to puppet-foreman does not allow for configuration
of PassengerMaxPoolSize

- Category deleted (Performance)

#2 - 03/10/2016 02:58 AM - Dominic Cleal

- Project changed from Foreman to Installer

#3-11/17/2016 11:11 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/209 added

#4 - 11/23/2016 08:02 AM - Stephen Benjamin
- Status changed from Ready For Testing to Closed

05/21/2024 1/2




- % Done changed from 0 to 100

Applied in changeset 9df10e1bae8039039ada50ada01b7df5915c9fd2.

#5 - 11/24/2016 03:53 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#6 - 12/06/2016 10:09 AM - Dominic Cleal

- Category set to Foreman modules
